JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ThreadPool::JobSelector Class Referenceabstract
juce_core » threads

A callback class used when you need to select which ThreadPoolJob objects are suitable for some kind of operation. More...

`#include <juce_ThreadPool.h>`

## Public Member Functions
virtual | ~JobSelector ()=default
virtual bool | isJobSuitable (ThreadPoolJob *job)=0
| Should return true if the specified thread matches your criteria for whatever operation that this object is being used for.

## Detailed Description

A callback class used when you need to select which ThreadPoolJob objects are suitable for some kind of operation.

See also
  ThreadPool::removeAllJobs

## Constructor & Destructor Documentation

## ◆ ~JobSelector()

virtual ThreadPool::JobSelector::~JobSelector | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ isJobSuitable()

virtual bool ThreadPool::JobSelector::isJobSuitable | ( | ThreadPoolJob * | job | ) |
| pure virtual

Should return true if the specified thread matches your criteria for whatever operation that this object is being used for.

Any implementation of this method must be extremely fast and thread-safe!

The documentation for this class was generated from the following file:

- juce_ThreadPool.h